curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"data": [
{
"id": 61018,
"resource": "price-acceptance",
"voucherSetId": 2030,
"providerPartnerId": 1030,
"terms": {
"pricingModel": "per-unit",
"unitPrice": {
"value": 1000,
"scale": 4,
"label": "€0.10"
},
"tiers": null
},
"termsDigest": "9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1",
"periodStartsAt": "2026-11-30T23:00:00Z",
"periodEndsAt": null,
"effectiveFrom": "2026-11-30T23:00:00Z",
"acceptedBy": {
"type": "partner-user",
"id": 4069,
"label": "finance@example.com"
},
"acceptedAt": "2026-11-12T10:04:00Z",
"_links": {
"priceTerms": {
"href": "https://api.voucher.allride.io/consumer/v1/pricing/voucher-sets/2030",
"type": "application/json"
}
}
}
],
"page": 1,
"perPage": 25,
"totalPages": 1,
"total": 1
}
}List Price Acceptances
Lists your Price Acceptances, including those of voucher sets that are no longer visible. See Prices and price acceptance.
Required permissions: view-consumer-pricing · API keys: allowed
curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/pricing/acceptances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"data": [
{
"id": 61018,
"resource": "price-acceptance",
"voucherSetId": 2030,
"providerPartnerId": 1030,
"terms": {
"pricingModel": "per-unit",
"unitPrice": {
"value": 1000,
"scale": 4,
"label": "€0.10"
},
"tiers": null
},
"termsDigest": "9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1",
"periodStartsAt": "2026-11-30T23:00:00Z",
"periodEndsAt": null,
"effectiveFrom": "2026-11-30T23:00:00Z",
"acceptedBy": {
"type": "partner-user",
"id": 4069,
"label": "finance@example.com"
},
"acceptedAt": "2026-11-12T10:04:00Z",
"_links": {
"priceTerms": {
"href": "https://api.voucher.allride.io/consumer/v1/pricing/voucher-sets/2030",
"type": "application/json"
}
}
}
],
"page": 1,
"perPage": 25,
"totalPages": 1,
"total": 1
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Query Parameters
Page number, 1-100,000 (default 1). Outside the range: 400 data-failed-validation with the constraint invalid-page.
1 <= x <= 100000Items per page, 1-100 (default 25). Outside the range: 400 data-failed-validation with the constraint invalid-page.
1 <= x <= 100One sort field; prefix - for descending (sort=field or sort=-field). Allowed: acceptedAt. Default -acceptedAt. The server appends id as a tie-breaker.
"-acceptedAt"
Voucher set id (equals).
x >= 0Voucher set id (one of (comma-separated)). Comma-separated values.
Provider id (equals).
x >= 0Provider id (one of (comma-separated)). Comma-separated values.
Acceptance time (download key) (greater than).
Acceptance time (download key) (greater than or equal).
Acceptance time (download key) (less than).
Acceptance time (download key) (less than or equal).
Response
OK
Page envelope of PriceAcceptance items.
The page.
Show child attributes
Show child attributes